xine-lib: xine-lib-1.2.13/src/vdr/post_vdr_audio.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Typedefs | Functions
post_vdr_audio.c File Reference
`#include <xine/xine_internal.h>`
`#include <xine/post.h>`
`#include "combined_vdr.h"`

## Data Structures
struct | vdr_audio_post_plugin_s

## Macros
#define | LOG_MODULE "vdr_audio"
#define | LOG_VERBOSE

## Typedefs
typedef struct vdr_audio_post_plugin_s | vdr_audio_post_plugin_t

## Functions
static void | vdr_audio_select_audio (vdr_audio_post_plugin_t *this, uint8_t channels)
static post_plugin_t * | vdr_audio_open_plugin (post_class_t *class_gen, int inputs, xine_audio_port_t **audio_target, xine_video_port_t **video_target)
static void | vdr_audio_dispose (post_plugin_t *this_gen)
static int | vdr_audio_port_open (xine_audio_port_t *port_gen, xine_stream_t *stream, uint32_t bits, uint32_t rate, int mode)
static void | vdr_audio_port_put_buffer (xine_audio_port_t *port_gen, audio_buffer_t *buf, xine_stream_t *stream)
void * | vdr_audio_init_plugin (xine_t *xine, const void *data)

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "vdr_audio"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Typedef Documentation

## ◆ vdr_audio_post_plugin_t

typedef struct vdr_audio_post_plugin_s vdr_audio_post_plugin_t

## Function Documentation

## ◆ vdr_audio_dispose()

static void vdr_audio_dispose | ( | post_plugin_t * | this_gen | ) |
| static

References _x_post_dispose(), and xine_event_dispose_queue().

Referenced by vdr_audio_open_plugin().

## ◆ vdr_audio_init_plugin()

void * vdr_audio_init_plugin | ( | xine_t * | xine,
|  | const void * | data )

References default_post_class_dispose, N_, NULL, and vdr_audio_open_plugin().

## ◆ vdr_audio_open_plugin()

static post_plugin_t * vdr_audio_open_plugin | ( | post_class_t * | class_gen,
|  | int | inputs,
|  | xine_audio_port_t ** | audio_target,
|  | xine_video_port_t ** | video_target )
| static

References _x_post_init(), _x_post_intercept_audio_port(), input(), post_audio_port_s::new_port, NULL, xine_audio_port_s::open, xine_audio_port_s::put_buffer, vdr_audio_dispose(), vdr_audio_port_open(), and vdr_audio_port_put_buffer().

Referenced by vdr_audio_init_plugin().

## ◆ vdr_audio_port_open()

static int vdr_audio_port_open | ( | xine_audio_port_t * | port_gen,
|  | xine_stream_t * | stream,
|  | uint32_t | bits,
|  | uint32_t | rate,
|  | int | mode )
| static

References _x_ao_mode2channels(), _x_post_inc_usage, _x_post_rewire(), bits, post_audio_port_s::bits, mode(), post_audio_port_s::mode, xine_audio_port_s::open, post_audio_port_s::original_port, post_audio_port_s::post, post_audio_port_s::rate, and post_audio_port_s::stream.

Referenced by vdr_audio_open_plugin().

## ◆ vdr_audio_port_put_buffer()

static void vdr_audio_port_put_buffer | ( | xine_audio_port_t * | port_gen,
|  | audio_buffer_t * | buf,
|  | xine_stream_t * | stream )
| static

References _x_continue_stream_processing(), _x_extra_info_merge(), ao_format_s::bits, vdr_select_audio_data_s::channels, xine_event_t::data, audio_buffer_s::extra_info, audio_buffer_s::first_access_unit, audio_buffer_s::format, audio_buffer_s::frame_header_count, xine_audio_port_s::get_buffer, audio_buffer_s::mem, ao_format_s::mode, audio_buffer_s::num_frames, post_audio_port_s::original_port, post_audio_port_s::post, xine_audio_port_s::put_buffer, ao_format_s::rate, xine_event_t::type, vdr_audio_select_audio(), vdr_is_vdr_stream(), audio_buffer_s::vpts, xine_event_dispose_queue(), xine_event_free(), xine_event_get(), xine_event_new_queue(), xine_event_send(), XINE_EVENT_VDR_PLUGINSTARTED, and XINE_EVENT_VDR_SELECTAUDIO.

Referenced by vdr_audio_open_plugin().

## ◆ vdr_audio_select_audio()

static void vdr_audio_select_audio | ( | vdr_audio_post_plugin_t * | this,
|  | uint8_t | channels )
| static

Referenced by vdr_audio_port_put_buffer().